<?PHP
// obtain known genes
$homologs = array();
$query  = "SELECT LOWER(homolog_gene) AS gene FROM biomart_homologs WHERE (search_id='1') AND (target_organism_id='2')";
$result = DB::executeQuery($query);
while(($row = $result->next()) != false) {
	$homologs[] = $row['gene'];
}
//$genes  = join(', ', $genes);

// filter for possible values
$query	= "SELECT gene, chromosome FROM entrez_fetch "
		. "WHERE (search_id='1') AND (organism_id='2')";
		//. "  AND LOWER(gene) NOT IN (" . $genes . ")";
$genes	= array();
$result = DB::executeQuery($query);
$i = 0;
while(($row = $result->next()) != false) {
	if(!in_array(strtolower($row['gene']), $homologs)) {
		$genes[$i]['gene'] 		 = $row['gene'];
		$genes[$i]['chromosome'] = $row['chromosome'];
		$i++;
	}
}

// save the result genes
$query = "DELETE FROM results WHERE search_id='1'";
DB::executeUpdate($query);

foreach($genes as $gene) {
	$query 	= "INSERT INTO results (search_id, organism_id, chromosome, gene) VALUES "
			. "('1', '2', '" . $gene['chromosome'] . "', '" . $gene['gene'] . "')";
	DB::executeInsert($query);
	Log::screenLog('Result gene added: ' . $gene['chromosome'] . '. chromosome, gene: ' . $gene['gene']);
}

